Subject: Re: [Yang-multicast] Broadband Forum Multicast Yang

From: "Stig Venaas (svenaas)" <[email-masked]>
Date: Wed, 1 Mar 2017 09:41:30 -0800

Hi

On 2/28/2017 8:06 AM, Marta Seda wrote:
> Hello,
>
>
>
> I have been following the discussions in IETF on support of multicast
> igmp/mld yang.  I wanted this group to be aware that Broadband Forum has
> been working on a multicast yang model for layer 2 access devices.   The

I'm on of the WG chairs and appreciate your input here.

> BBF yang models have been developed to satisfy the following common
> access requirements:
>
>   * Support of snoopers and proxies
>   * Support of igmpv2, igmpv3, mld2 (other older variants are largely
>     not deployed on access devices therefore not considered).
>   * Support of open access (different subscribers on a layer 2 device
>     can receive services of different providers).  Open access in the
>     BBF model does not require SSM support (segregation is done via
>     other means)
>   * Support of admission control (that limits how much bandwidth and
>     channels are delivered)
>   * Support of access specific requirements (e.g., unauthorized joins)
>
>
>
> Broadband Forum and IETF have collaborated in the past (e.g., deferred
> the development of yang models to respective standards bodies).  As I
> review the proposed IETF model, it seems that the IETF model is
> developed around layer 3 multicast routers (the IETF model augments from
> the routing module).  Therefore I see no need to align the two models
> (IETF is focusing on layer 3 devices whereas BBF is focusing on layer 2
> devices).  The requirements of both product spaces is different.
> However there may be some areas that there could be some collaboration.
> For example, the statistics are “similar” in both models (BBF has more
> statistics than IETF but IETF uses 64 bit counters whereas BBF chose 32
> bits because of the desire to align to RFC 5519).  There are some

I can speculate why 64 bit was chosen perhaps, but I would like to hear
from the authors.

> attributes in the IETF model that I do not recognize and may be specific
> to multicast routers:
>
>
>
> +--rw max-entries?   uint32 {global-max-entries}? Q:  There is the
> max-groups read/write attribute.  What specifically does the max-entries
> limit? What does this correspond to in RFC 5519?
>
>   +--ro filter-mode?     Enumeration Q:  What does this correspond to in
> RFC 5519?

Perhaps the description of these should be improved.

We plan to do a working group last call of the IGMP/MLD draft shortly,
so this is timely input.

Thanks,
Stig

>
>
> Best regards,
>
>
>
> Marta Seda
>
>
>
>
>
>
>
> _______________________________________________
> Yang-multicast mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-multicast
>

---

From: Benoit Claise <[email-masked]>
Date: Wed, 8 Mar 2017 14:26:37 +0100

Hi Marta,

> I can speculate why 64 bit was chosen perhaps, but I would like to hear
Ditto.
Note: RFC 5519 is from april 2009.

I hope that next to the statistics, the structure is the same.

Regards, Benoit
> .

---

From: Stig Venaas <[email-masked]>
Date: Fri, 10 Mar 2017 08:17:51 -0800

Hi

I haven't had time to look at the proposals, I plan to do so shortly.
But I suggest we work on IETF models for snooping in this design team.
It is great if you Marta, William or anyone else from BBF would like
to take part in this. If either of you are at the upcoming IETF in
Chicago, let me know. We could perhaps put you on the agenda for our
pim WG meeting if you're interested.

It makes sense for us to collaborate and see if we can align the
models where it makes sense. I'm sure a lot of work has gone into the
BBF model already. We're just starting to look into this in the IETF.
I suspect there is some overlap between the vendors interested in the
models in the IETF and BBF as well, and it makes it easier for both
operators and vendors if models are somewhat aligned.

If there is a chance that we can meet during the IETF, then it would
be great to discuss the BBF model. I'm hoping that people can have a
careful look at your model before we meet in that case. I'll see what
I can do myself, but I'm not a YANG expert.

Regards,
Stig